apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: {{ .Values.instanceName }}-vscode
spec:
  parentRefs:
  - name: vip-240
    sectionName: vpn
    namespace: istio-system
  hostnames: ["vscode-{{ .Values.instanceName }}.agepoly.ch"]
  rules:
  - matches:
    - path:
        type: PathPrefix
        value: /
    backendRefs:
    - name: {{ .Values.instanceName }}-vscode
      port: 8443

{{- if .Values.routing }}
{{- range .Values.routing }}
---
apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: {{ $.Values.instanceName }}-{{ .name }}
spec:
  parentRefs:
  - name: vip-240
    sectionName: vpn
    namespace: istio-system
  hostnames: ["{{.name}}-{{ $.Values.instanceName }}.agepoly.ch"]
  rules:
  - matches:
    - path:
        type: PathPrefix
        value: /
    backendRefs:
    - name: {{ $.Values.instanceName }}-{{ .name }}
      port: {{ .port }}
{{- end }}
{{- end }}